【已解决】君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

IPC/NVR/可视门铃等具备多媒体能力的设备,扫地机/AGV等机器人设备


Post Reply
linfeng
Posts: 13

君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?


Tags:
郭老庄
Posts: 145

Re: 君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

请先分析一下栈信息,定位段错误位置

linfeng
Posts: 13

Re: 君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

你好,可以提供T31_uclibc_tuyaOS 的 mips-gcc-uclibc 5.4.0 版本的编译器?

linfeng
Posts: 13

Re: 君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

找到原因了;是因为我的板子跑的程序都是用君正平台5.4.0 编译器编译的,涂鸦的是4.7.2版本的编译的,不兼容吧。请问如何下载涂鸦T31_uclibc_TuyaOS 的sdk 可以支持5.4.0版本的编译器?

User avatar
pippin-bobo
Posts: 180

Re: 君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

5.4.0工具链没有发布版本,您这边有涂鸦的项目经理或者商务吗,可以让他找内部申请发布一下

linfeng
Posts: 13

Re: 【已解决】君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

你好,我这边找不到涂鸦的项目经理或者商务了,麻烦帮忙一下,申请发布5.4.0版本的编译器

User avatar
pippin-bobo
Posts: 180

Re: 【已解决】君正T31平台,涂鸦T31_uclibc_TuyaOS-3.9.2版本,uclibc库编译后demo运行后出现段错误,请问怎么解决?

这个属于商务问题,麻烦还是找一下贵司和涂鸦的商务对接窗口来解决这个问题哈

Post Reply